package org.dromara.payment.sys.service;

import org.dromara.payment.sys.domain.vo.SysSydSignContentVo;
import org.dromara.payment.sys.domain.bo.SysSydSignContentBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 服务商协议内容Service接口
 *
 * @author LionLi
 * @date 2024-03-26
 */
public interface ISysSydSignContentService {

    /**
     * 查询服务商协议内容
     */
    SysSydSignContentVo queryById(Long id);

    /**
     * 查询服务商协议内容列表
     */
    TableDataInfo<SysSydSignContentVo> queryPageList(SysSydSignContentBo bo, PageQuery pageQuery);

    /**
     * 查询服务商协议内容列表
     */
    List<SysSydSignContentVo> queryList(SysSydSignContentBo bo);

    /**
     * 新增服务商协议内容
     */
    Boolean insertByBo(SysSydSignContentBo bo);

    /**
     * 修改服务商协议内容
     */
    Boolean updateByBo(SysSydSignContentBo bo);

    /**
     * 校验并批量删除服务商协议内容信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
